:root {
  /* Colors */
  --blue-500: rgba(49, 130, 206, 1);
  --black: rgba(0, 0, 0, 1);
  --white: rgba(255, 255, 255, 1);
  --blue-900: rgba(26, 54, 93, 1);
  --blue-50: rgba(235, 248, 255, 1);
  --gray-300: rgba(203, 213, 224, 1);

  font-family: Inter, Arial, sans-serif;
  background-color: var(--blue-50);
}

html,
body,
h1,
h2,
h3,
h4,
h5,
h6,
b,
p,
strong {
  margin: 0;
  padding: 0;
  color: var(--blue-900);
}

p,
span,
a,
label,
li {
  font-weight: 400;
}
button,
input[type="submit"] {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  gap: 0.5rem;
  font-weight: bold;
  height: 2.5rem;
  background-color: var(--blue-500);
  color: var(--white);
  min-width: 2.5rem;
  font-size: 1rem;
  padding-inline-start: 1rem;
  padding-inline-end: 1rem;
  border: none;
  border-radius: 0.375rem;
  cursor: pointer;
  transition-property: background-color, border-color, color, fill, stroke,
    opacity, box-shadow, transform;
  transition-duration: 200ms;
  font-weight: 600;
}
button[disabled] {
  background-color: var(--gray-300);
  cursor: not-allowed;
}
input {
  padding: 0;
  transition-property: background-color, border-color, color, fill, stroke,
    opacity, box-shadow, transform;
  transition-duration: 200ms;
  height: 2.5rem;
  padding-inline-start: 1rem;
  padding-inline-end: 1rem;
  border: 1px solid #e2e8f0;
  border-radius: 0.375rem;
  outline: transparent solid 2px;
  outline-offset: 2px;
  font-size: 1rem;
}

main {
  max-width: 750px;
  margin: 0 auto;
  padding: 1rem;
  display: grid;
  gap: 1rem;
}

.card {
  background: var(--white);
  padding: 2rem;
  border-radius: 0.5rem;
}

form {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 1rem;
}
ol {
  counter-reset: my-awesome-counter;
  list-style: none;
}
ol li {
  counter-increment: my-awesome-counter;
  position: relative;
}
li + li {
  margin-top: 16px;
}
ol li::before {
  content: counter(my-awesome-counter);
  color: var(--white);
  font-size: 0.875rem;
  font-weight: 600;
  position: absolute;
  --size: 24px;
  left: calc(-1 * var(--size) - 10px);
  line-height: var(--size);
  width: var(--size);
  height: var(--size);
  top: 0;
  background: var(--blue-500);
  border-radius: 50%;
  text-align: center;
}

a {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  text-decoration: none;
  font-weight: 600;
  height: 2.5rem;
  background-color: var(--blue-500);
  color: var(--white);
  min-width: 2.5rem;
  font-size: 1rem;
  padding-inline-start: 1rem;
  padding-inline-end: 1rem;
  width: fit-content;
  border: none;
  border-radius: 0.375rem;
  cursor: pointer;
  transition-property: background-color, border-color, color, fill, stroke,
    opacity, box-shadow, transform;
  transition-duration: 200ms;
  font-weight: 600;
}

button:hover,
a:hover {
  background-color: #e2e8f0;
}

/* Inter Variable Font */
@font-face {
  font-family: "Inter";
  src: url("/static/Inter-VariableFont_opsz,wght.ttf") format("truetype");
  font-weight: 100 900;
  font-style: normal;
  font-display: swap;
}

/* Inter Italic Variable Font */
@font-face {
  font-family: "Inter";
  src: url("/static/Inter-Italic-VariableFont_opsz,wght.ttf") format("truetype");
  font-weight: 100 900;
  font-style: italic;
  font-display: swap;
}
input[type="checkbox"] {
  transform: scale(1.3846153846);
}
